public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Alfredo Tupone" <tupone@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ada/gnatsymbolize/
Date: Thu,  6 Oct 2022 07:44:48 +0000 (UTC)	[thread overview]
Message-ID: <1665042267.39ff6eb0eebf021e8339b02e6a8e10abafb9f882.tupone@gentoo> (raw)

commit:     39ff6eb0eebf021e8339b02e6a8e10abafb9f882
Author:     Alfredo Tupone <tupone <AT> gentoo <DOT> org>
AuthorDate: Thu Oct  6 07:44:27 2022 +0000
Commit:     Alfredo Tupone <tupone <AT> gentoo <DOT> org>
CommitDate: Thu Oct  6 07:44:27 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=39ff6eb0

dev-ada/gnatsymbolize: add gcc_12_2_0

Signed-off-by: Alfredo Tupone <tupone <AT> gentoo.org>

 dev-ada/gnatsymbolize/gnatsymbolize-2021-r1.ebuild | 33 ++++++++++++++++++++++
 1 file changed, 33 insertions(+)

diff --git a/dev-ada/gnatsymbolize/gnatsymbolize-2021-r1.ebuild b/dev-ada/gnatsymbolize/gnatsymbolize-2021-r1.ebuild
new file mode 100644
index 000000000000..60f9e67f7c3e
--- /dev/null
+++ b/dev-ada/gnatsymbolize/gnatsymbolize-2021-r1.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+ADA_COMPAT=( gnat_202{0..1} gcc_12_2_0 )
+inherit ada
+
+MYP=${P}-${PV}0518-19D3B-src
+ID=884f3b229457c995ddebb46a16a7cc50ed837c90
+ADAMIRROR=https://community.download.adacore.com/v1
+
+DESCRIPTION="Translates addresses into filename, line number, and function names"
+HOMEPAGE="http://libre.adacore.com/"
+SRC_URI="${ADAMIRROR}/${ID}?filename=${MYP}.tar.gz -> ${MYP}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND="${ADA_DEPS}"
+DEPEND="${RDEPEND}"
+REQUIRED_USE="${ADA_REQUIRED_USE}"
+
+S="${WORKDIR}"/${MYP}
+
+src_compile() {
+	gnatmake -v gnatsymbolize -cargs ${ADAFLAGS} || die
+}
+
+src_install() {
+	dobin gnatsymbolize
+}


             reply	other threads:[~2022-10-06  7:44 UTC|newest]

Thread overview: 21+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-10-06  7:44 Alfredo Tupone [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-03-21 20:33 [gentoo-commits] repo/gentoo:master commit in: dev-ada/gnatsymbolize/ Alfredo Tupone
2023-12-26 15:43 Alfredo Tupone
2023-03-21 21:02 Alfredo Tupone
2023-03-21  7:25 Alfredo Tupone
2022-12-21  7:56 Alfredo Tupone
2022-11-21 18:06 Alfredo Tupone
2022-10-07 18:20 Alfredo Tupone
2021-12-19 22:09 Agostino Sarubbo
2021-11-25  7:28 Alfredo Tupone
2021-09-19 13:01 Alfredo Tupone
2021-09-15 19:35 Alfredo Tupone
2021-07-20  6:33 Agostino Sarubbo
2021-06-02 11:47 Alfredo Tupone
2021-06-02 11:32 Alfredo Tupone
2021-05-22 17:42 Alfredo Tupone
2019-10-18 17:06 Alfredo Tupone
2019-09-17  7:24 Alfredo Tupone
2019-06-18 12:52 Alfredo Tupone
2018-11-10 16:34 Alfredo Tupone
2018-07-01 14:55 Alfredo Tupone

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1665042267.39ff6eb0eebf021e8339b02e6a8e10abafb9f882.tupone@gentoo \
    --to=tupone@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox